%define rname		downbar

Summary:	Plugin to create Download Statusbar in Firefox
Name:		%firefox_name-%rname
Version:	0.82
Release:	alt1
Source0:	%rname.xpi
Source1:	installed-chrome-%rname.txt
License:	GPL
Group:		Networking/WWW	
URL:		http://downloadstatusbar.mozdev.org/
BuildRequires:	%firefox_name-devel unzip
BuildArch:	noarch

Provides: 	MozillaFirebird-downbar
Obsoletes:      MozillaFirebird-downbar

Requires: %firefox_name >= %firefox_version-%firefox_release 

%description 
Allows you to keep track of ongoing and completed downloads in an easy 
to use, hide-away statusbar.


%prep
#setup -q

%build

%install
%__install -d %buildroot/%firefox_chromedir
%__install -d %buildroot/%firefox_defaultsdir/pref

%__unzip %SOURCE0 -d %buildroot/%firefox_chromedir
%__mv %buildroot/%firefox_chromedir/downbarconfig.js \
    %buildroot/%firefox_defaultsdir/pref

%__rm -f %buildroot/%firefox_chromedir/install*
%__install -m644 %SOURCE1 %buildroot/%firefox_chromedir

%post
%firefox_extension_postin

%postun
%firefox_extension_postun

%files
%firefox_defaultsdir/pref/*
%firefox_chromedir/*.jar
%firefox_chromedir/installed-chrome-%rname.txt

%changelog
* Fri Feb 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.82-alt1
- Mozilla Firebird becomes Mozilla Firefox. Mozilla's next 
  generation browser has changed names (again);
- New version;

* Thu Dec 04 2003 Alexey Gladkov <legion@altlinux.ru> 0.8-alt1
- first build for ALT Linux.


